

Spotted by Anton Blanchard: Our attempt to limit the interrupts-off time in
slab wasn't very effective.  #ifndef DEBUG is never true.



 slab.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/slab.c~slab-batchcount-limit-fix mm/slab.c
--- 25/mm/slab.c~slab-batchcount-limit-fix	2003-02-22 02:30:34.000000000 -0800
+++ 25-akpm/mm/slab.c	2003-02-22 02:31:54.000000000 -0800
@@ -2064,7 +2064,7 @@ static void enable_cpucache (kmem_cache_
 	else
 		limit = 248;
 
-#ifndef DEBUG
+#if DEBUG
 	/* With debugging enabled, large batchcount lead to excessively
 	 * long periods with disabled local interrupts. Limit the 
 	 * batchcount

_
